=== debian/changelog ===
ros-melodic-rdl-ros-tools (3.2.0-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- jordan <jlack1987@gmail.com>  Sun, 12 May 2019 12:17:46 -0000
