=== debian/control ===
Source: ros-melodic-rdl-ros-tools
Section: misc
Priority: extra
Maintainer: jordan <jlack1987@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-rdl-dynamics, ros-melodic-rdl-msgs, ros-melodic-rdl-urdfreader, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rdl-ros-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-rdl-dynamics, ros-melodic-rdl-msgs, ros-melodic-rdl-urdfreader, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs
Description: ROS interface into rdl tools
